> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vidgo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Runway Gen-4.5

> Runway Gen-4.5 视频生成，可选参考图，支持 5 秒和 10 秒时长

> [!TIP]
>
> 1. 提交后会返回 `task_id`。如果提供了 `callback_url`，当任务状态变为 `finished` 或 `failed` 时，系统会向 `callback_url` 发送 POST 请求。
> 2. 无论是否提供 `callback_url`，都可以通过统一的[查询任务状态](https://docs.vidgo.ai/zh/api-manual/task-management/status.md)接口获取结果。

`runway-gen-4.5` 通过统一提交接口提供，支持文生视频和可选的单图引导。

## 模型

* **runway-gen-4.5** - 文生视频

## 必填参数

* **prompt**：用于生成的文本提示词

## 可选参数

* **duration**：`5` 或 `10`。默认 `5`
* **aspect\_ratio**：`16:9`、`9:16`、`4:3`、`3:4`、`1:1` 或 `21:9`。默认 `16:9`
* **image\_urls**：可选的图片 URL 列表。最多 `1` 张图片
* **seed**：可选的整数种子

## 注意事项

* `image_urls` 为可选项。如果提供，只允许一个图片 URL


## OpenAPI

````yaml zh/api-manual/video-series/runway-gen-4-5.json POST /api/generate/submit
openapi: 3.0.0
info:
  title: Vidgo API - Runway Gen-4.5 API
  description: 文生视频，可选参考图，支持 5 秒和 10 秒时长
  version: 1.0.0
servers:
  - url: https://api.vidgo.ai
    description: 生产环境服务器
security:
  - BearerAuth: []
paths:
  /api/generate/submit:
    post:
      tags:
        - Runway Gen-4.5
      summary: 提交 Runway Gen-4.5 任务
      description: 使用 Runway Gen-4.5 生成视频
      operationId: submitRunwayGen45Task
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SubmitRequest'
            examples:
              runway-gen-4-5:
                summary: Runway Gen-4.5
                value:
                  model: runway-gen-4.5
                  callback_url: https://your-domain.com/callback
                  input:
                    prompt: >-
                      A dense, verdant jungle world made up of small lego-like
                      pieces. We see a rainbow chameleon running through the 3D
                      world, the camera in and out of focus.
                    duration: 5
                    aspect_ratio: '16:9'
      responses:
        '200':
          description: 任务提交成功
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubmitResponse'
components:
  schemas:
    SubmitRequest:
      type: object
      required:
        - model
        - input
      properties:
        model:
          type: string
          example: runway-gen-4.5
        callback_url:
          type: string
          format: uri
          description: 用于接收结果通知的 Webhook 回调 URL
          example: https://your-domain.com/callback
        input:
          type: object
          required:
            - prompt
          properties:
            prompt:
              type: string
              description: 用于生成的文本提示词
              example: >-
                A dense, verdant jungle world made up of small lego-like pieces.
                We see a rainbow chameleon running through the 3D world, the
                camera in and out of focus.
            duration:
              type: integer
              description: 输出时长（秒）
              enum:
                - 5
                - 10
              default: 5
              example: 5
            aspect_ratio:
              type: string
              description: 可选的宽高比
              enum:
                - '16:9'
                - '9:16'
                - '4:3'
                - '3:4'
                - '1:1'
                - '21:9'
              default: '16:9'
              example: '16:9'
            image_urls:
              type: array
              description: 可选的参考图列表。最多支持一个图片 URL
              maxItems: 1
              items:
                type: string
                format: uri
              example:
                - https://cdn.vidgo.ai/temp/reference-image.png
            seed:
              type: integer
              description: 可选的整数种子
              example: 123
    SubmitResponse:
      type: object
      required:
        - code
        - data
      properties:
        code:
          type: integer
          example: 200
        data:
          type: object
          required:
            - task_id
            - status
            - created_time
          properties:
            task_id:
              type: string
              example: task-unified-1757165031-uyujaw3d
            status:
              type: string
              enum:
                - not_started
              example: not_started
            created_time:
              type: string
              format: date-time
              example: '2025-11-12T10:30:00'
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: >-
        所有 API 接口都需要 Bearer Token 认证


        获取 API Key：


        进入 **仪表盘 → API 密钥**（[API Key
        管理页面](https://vidgo.ai/apis/dashboard/api-key)）获取你的 API Key


        在请求头中添加：


        ```

        Authorization: Bearer VIDGO_API_KEY

        ```

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.